### Signal

# Gdk Surface::enter-monitor

since: 4.0

#### Declaration

    void
    enter_monitor (
      GdkSurface* self,
      GdkMonitor* monitor,
      gpointer user_data
    )

#### Description [src]

Emitted when `surface` starts being present on the monitor.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`monitor`

  Type: `GdkMonitor`

  The monitor.

  The data is owned by the caller of the function.